Number: 1020
Title: VERSION defines
Submitter: Nick Shaw
Date: Mon Sep 11 14:20:12 2006
Subsys: Dot
Version: 2.8
System: *-*-
Severity: critical
Problem:
It needs VERSION defined. For building libgvc, libgraph we need to supply

-DVERSION

But this causes so much pain as we have whole slew of our libraries / binaries already in place and even though we do not include any files in many of them just because it needs to link with libgvc it needs to have -DVERSION and hence graphviz VERSION ends up screwing build of other libraries/binaries.

Make it GRAPHVIZ_VERSION or something. Such generic global names are recipe for disaster.

thanks a bunch, Nick
Comments:
[ellson] I don't understand. You don't need -DVERSION to link -lgvc.

VERSION comes from AC_INIT in configure.ac. i.e. the symbol is built in to the autoconf mechanisms.
Owner: ellson
Status: *